/*
	Config File Structure For Web Configuration
*/

#include "DefCommon.h"
#include "DefInputA.h"
#include "DefInputD.h"
#include "DefInputS.h"
#include "DefOutput.h"
#include "DefSpecial.h"
#include "DefTimer.h"
#include "DefIo.h"
#include "DefCommFunc.h"
#include "DefSwType.h"
#include "DefRadio.h"
#include "DefAudio.h"

#include "DefCommon.h"

#ifndef DEF_CONFIG_DATA__
#define DEF_CONFIG_DATA__

typedef struct ConfigWeb
{
	INPUT_STANDARD_DATA		isData;				//standard input
	INPUT_AUXILIARY_DATA		iaData;				//auxiliary input
	OUTPUT_DATA			opData;				//output
	SPECT_FUNCTION_DATA		sfData;				//special function
	TIMER_DATA			trData;				//timer
	IO_DEF_DATA			ioData[MAX_NUM_IO];		//IO pins
	COMM_FUNC_DATA                  commData;                       //communication function
	SWITCH_TYPE_FUNC_DATA           swtypeData;                     //switch type function
	RADIO_FUNC_DATA                 radioData;                      //radio function
	INPUT_DTMF_DATA			idData;				//DTMF input
	AUDIO_DATA			aoData;				//audio output
	short dataLen;							//record length
}CONFIG_WEB_DATA;

#endif
