/*
	communication function Structure
*/

#ifndef DEF_COMMUNICATION_FUNCTION_DATA__
#define DEF_COMMUNICATION_FUNCTION_DATA__

typedef struct CommFunc
{
	char type;		//Communication Function.(U=udp, T=tcp, S=serial, B=usb)
	char subtype;		//A=RS232, B=RS485, C=RS422
	int32_t baudRate;	//baud rate
	char modeRep;		//Enable repeater mode(E=enable, D=disable)
        char modeTra;		//Enable transparent mode.(enable, disable)
        int16_t nodeID;		//node ID
        int16_t netID;		//net ID
        int16_t railroadID;	//railroad ID
        int16_t yardID;		//yardID
}COMM_FUNC_DATA;
#endif

